<!--
  Copyright (C) 2020 collective-systems

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
-->

<icecast>
  <location>Alien Earth</location>
  <admin>john@doe.com</admin>
  <hostname>127.0.0.1</hostname>
  <fileserve>1</fileserve>

  <limits>
    <clients>100</clients>
    <sources>3</sources>
    <threadpool>5</threadpool>
    <queue-size>512</queue-size>
    <client-timeout>30</client-timeout>
    <header-timeout>15</header-timeout>
    <source-timeout>10</source-timeout>
    <burst-on-connect>0</burst-on-connect>
    <burst-size>256</burst-size>
  </limits>

  <authentication>
    <source-password>changeme-src</source-password>
    <relay-password>changeme-relay</relay-password>
    <admin-user>admin</admin-user>
    <admin-password>changeme-admin</admin-password>
  </authentication>

  <directory>
    <yp-url-timeout>60</yp-url-timeout>
    <yp-url>example.com</yp-url>
  </directory>

  <listen-socket>
    <port>8000</port>
  </listen-socket>

  <http-headers>
    <header name="Access-Control-Allow-Origin" value="*" />
  </http-headers>

  <relay>
    <server>localhost</server>
    <port>8001</port>
    <mount>/stream</mount>
    <local-mount>/stream-relay</local-mount>
    <on-demand>0</on-demand>
    <relay-shoutcast-metadata>0</relay-shoutcast-metadata>
  </relay>

  <mount type="default">
    <public>1</public>
    <hidden>0</hidden>
    <dump-file>/dump/record.ogg</dump-file>
    <stream-name>wild style world wide</stream-name>
    <stream-description>stream description</stream-description>
    <stream-url>http://localhost:8000/stream</stream-url>
    <genre>Experimental, music</genre>
  </mount>

  <paths>
    <basedir>/usr/share/icecast</basedir>
    <logdir>/var/log/icecast</logdir>
    <webroot>/usr/share/icecast/web</webroot>
    <adminroot>/usr/share/icecast/admin</adminroot>
    <alias source="/" destination="/status.xsl"/>
  </paths>

  <logging>
    <accesslog>access.log</accesslog>
    <errorlog>error.log</errorlog>
    <loglevel>4</loglevel>
    <logsize>1024</logsize>
    <logarchive>1</logarchive>
  </logging>

  <security>
    <chroot>0</chroot>
    <changeowner>
      <user>icecast</user>
      <group>icecast</group>
    </changeowner>
  </security>
</icecast>
